/* ==========================================================================
   Header
   ========================================================================== */

/* --------------------------------------------------------------------------
   Logo
   -------------------------------------------------------------------------- */

.site-logo-inline {
	/*--logo-main-color: var(--logo-main-color-nofront);
	--logo-accent-color: var(--logo-accent-color-edition);*/

	display: inline-block;
	line-height: 0;
}

.site-logo-inline svg {
	display: block;
	width: 280px;
	max-width: 100%;
	height: auto;
}

body.path-frontpage .site-logo-inline {
	/*--logo-main-color: var(--logo-main-color-front);*/
	/*--logo-accent-color: var(--logo-accent-color-edition);*/
}

.site-branding__text {
	display: none;
}


/* --------------------------------------------------------------------------
   Structure générale du header
   -------------------------------------------------------------------------- */

header.site-header {
	/*margin-block-start: 100px;*/
	margin-block-start: 200px;
}

.site-header > [class*="pfc-wrapper"] {
	display: flex;
}

.site-header > [class*="pfc-wrapper"] .region {
	width: 50%;
	/*z-index: 2;*/
	/*z-index: 0;*/
	position: relative;
	z-index: 10;
}

.site-header > [class*="pfc-wrapper"] .region--header-bottom {
	z-index: 10;
	display: flex;
	align-items: center;
	justify-content: flex-end;
}


/* --------------------------------------------------------------------------
   Header de la page d’accueil
   -------------------------------------------------------------------------- */

.path-frontpage .site-header > [class*="pfc-wrapper"] {
	position: relative;
	padding: var(--sp5); /* var(--sp2-5);*/
	border-radius: 10px;
	background-color: var(--pf-color-dark);
	background-image: var(--header-home-url-bg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	min-height: max(700px, 80vh);
}

.path-frontpage .site-header > [class*="pfc-wrapper"]::before {
	content: "";
	position: absolute;
	inset: 0;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	background: linear-gradient(
		90deg,
		rgb(0, 0, 0) 0%,
		rgba(0, 0, 0, 0.1) 50%,
		rgba(255, 255, 255, 0) 100%
	);
}

.path-frontpage .site-header > [class*="pfc-wrapper"] .region--header-bottom {
	align-items: end;
	justify-content: flex-end;
}


/* --------------------------------------------------------------------------
   Mention d’édition
   -------------------------------------------------------------------------- */

.pf-edition {
	margin-block-start: var(--sp1-5);
}

.path-frontpage .pf-edition {
	margin-block-start: var(--sp3-5);
	color: #fff;
	font-size: 1.75rem;
}
body:not(.path-frontpage) .site-header .region--header-top .pf-edition {
	margin: 0;
	color: var(--logo-main-color);
	font-family: "BricolageGrotesque", sans-serif;
	font-size: 1.4rem;
	font-weight: 700;
	line-height: 1.1;
	white-space: nowrap;
}
.site-header .region--header-top .pf-edition strong {
	font-size: 0;
}
body:not(.path-frontpage) .site-header .region--header-top .pf-edition strong > span {
	font-size: 1.4rem;
	display: block;
}
.path-frontpage .site-header .region--header-top .pf-edition strong > span.annee_yyyy {
	font-size: 1.75rem;
	display: block;
}
.path-frontpage .site-header .region--header-top .pf-edition strong > span.annee_dates {
	font-size: 1.75rem;
}

/* --------------------------------------------------------------------------
   Navigation haute
   -------------------------------------------------------------------------- */

section.header-nav {
	/*position: absolute;*/
	top: 0;
	left: 0;
	width: 100%;
	/*height: 100px;*/
	position: fixed;
	height: 180px;
	z-index: 20;
	pointer-events: none;
}
section.header-nav nav {
  pointer-events: all;
}

section.header-nav [class*="pfc-wrapper"] {
	height: 100%;
}

section.header-nav .region.region--navigation {
	display: flex;
	/*align-items: center;
	justify-content: end;*/
	height: 100%;
	justify-content: space-around;
	flex-direction: column-reverse;
	align-items: flex-end;
}

.path-frontpage section.header-nav .region.region--navigation {
	/*justify-content: space-between;*/
}


/* --------------------------------------------------------------------------
   Header hors page d’accueil
   -------------------------------------------------------------------------- */

body:not(.path-frontpage) .site-header {
	position: fixed;
	top: 0;
	z-index: 20;
	/* margin-block: 100px var(--sp2); */
	/*border-block: 1px solid var(--light-grey);*/
	background-color: rgba(255, 255, 255, 0.72);
	backdrop-filter: blur(12px);
	-webkit-backdrop-filter: blur(12px);
	width: 100%;
	left: var(--drupal-displace-offset-left, var(--admin-toolbar-sidebar-width));
	height: 180px;
	margin-block-start: 0;
}

body:not(.path-frontpage) .site-header > [class*="pfc-wrapper"] {
	flex-wrap: nowrap;
	align-items: center;
	justify-content: space-between;
}

body:not(.path-frontpage) .site-header > [class*="pfc-wrapper"] > div {
	padding-block: var(--sp2);
}

body:not(.path-frontpage) .site-header > [class*="pfc-wrapper"] .region--header-bottom {
	border-inline-start: 1px solid var(--lighter-grey);
}

body:not(.path-frontpage) .site-header .region--header-top {
	display: flex;
	align-items: center;
	justify-content: space-around;
	gap: var(--sp1);
	flex-direction: row;
}

body:not(.path-frontpage) .site-header .region--header-top .site-branding__inner {
	display: flex;
	align-items: center;
}

body:not(.path-frontpage) .site-header .region--header-top .site-branding__logo {
	display: block;
	line-height: 0;
}

body:not(.path-frontpage) .site-header .region--header-top .site-branding__logo svg {
	display: block;
	width: clamp(8.5rem, 14vw, 12rem);
	height: auto;
}


body:not(.path-frontpage) .site-header nav > ul {
	margin: 0;
}


/* --------------------------------------------------------------------------
   Ajustements admin Drupal
   -------------------------------------------------------------------------- */

aside.admin-toolbar ~ .dialog-off-canvas-main-canvas section.header-nav {
	left: var(--drupal-displace-offset-left, var(--admin-toolbar-sidebar-width));
	width: calc(100% - var(--drupal-displace-offset-left, var(--admin-toolbar-sidebar-width)));
}

@media (min-width: 64rem) {
	aside.top-bar ~ .dialog-off-canvas-main-canvas section.header-nav {
		top: var(--admin-toolbar-top-bar-height);
	}

	body:not(.path-frontpage) aside.top-bar ~ .dialog-off-canvas-main-canvas .site-header {
		/*top: var(--admin-toolbar-top-bar-height);*/
		/*margin-block-start: calc(200px + var(--admin-toolbar-top-bar-height));*/
		margin-block-start: var(--admin-toolbar-top-bar-height);
	}
	body:not(.path-frontpage) aside.top-bar ~ .dialog-off-canvas-main-canvas section.header-nav + main,
	body:not(.path-frontpage) aside.top-bar ~ .dialog-off-canvas-main-canvas section.header-nav + div {
		margin-block-start: calc(180px + var(--sp2) + var(--admin-toolbar-top-bar-height));
	}
	/*aside.top-bar ~ .dialog-off-canvas-main-canvas #block-pf-site-branding::after {
  	left: calc(0px + var(--drupal-displace-offset-left, var(--admin-toolbar-sidebar-width)));
  }*/
}

/* --------------------------------------------------------------------------
   Contenus associés au hero de la page d’accueil
   -------------------------------------------------------------------------- */

.path-frontpage .pf-edito {
	margin-block: var(--sp3-5) var(--sp1-5);
	color: #fff;
	font-family: "BricolageGrotesque", sans-serif;
}

.path-frontpage .pf-edito h2 {
	color: #fff;/*var(--pf-color-medium);*/
	font-size: 2.8rem;
	line-height: 2.8rem;
}
.path-frontpage .pf-edito h3 {
	color: #fff;
	font-weight: 400;
}
.path-frontpage .pf-edito h2 + h3 {
	margin-block-end: var(--sp3-5);
}
.path-frontpage .pf-edito:not(:has(h2 + h3)) h2 {
	margin-block-end: var(--sp3-5);
}

.path-frontpage .pf-link2calendar {
	margin-block-start: var(--sp3);
}


/* --------------------------------------------------------------------------
   Menu mobile
   État par défaut hors mobile
   -------------------------------------------------------------------------- */

.pf-burger,
.pf-mobile-menu {
	display: none;
}


/* en + */
body.path-frontpage #block-pf-site-branding {
  position: fixed;
  top: 0;
  height: 180px;
  padding-block: 1rem;
}
body.path-frontpage #block-pf-site-branding::after {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 180px;
  /*border-block: 1px solid var(--light-grey);*/
  background-color: rgba(255, 255, 255, 0.72);
  backdrop-filter: blur(12px);
  content: '';
  z-index: 0;
}
.site-branding__inner {
  z-index: 1;
  position: relative;
}
#block-pf-datesnumauthorsofselectedanneeblock,
#block-pf-editoofselectedanneeblock {
  z-index: -1;
  position: relative;
}